<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/modifyprop_par.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>modifyprop_par.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="magpario_8h_source.html">io/magpario.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for modifyprop_par.c:</div>
<div class="dynsection">
<div class="center"><img src="modifyprop__par_8c__incl.png" border="0" usemap="#init_2modifyprop__par_8c_map" alt=""/></div>
<map name="init_2modifyprop__par_8c_map" id="init_2modifyprop__par_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="127,86,177,117"/><area shape="rect" id="node15" href="magpario_8h.html" title="io/magpario.h" alt="" coords="201,86,300,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="modifyprop__par_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="modifyprop__par_8c.html#a5b18b26ca79926b582bf94e21e5f531b">ModifyPropPar</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a5b18b26ca79926b582bf94e21e5f531b"></a><!-- doxytag: member="modifyprop_par.c::ModifyPropPar" ref="a5b18b26ca79926b582bf94e21e5f531b" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ModifyPropPar </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="modifyprop__par_8c_source.html#l00030">30</a> of file <a class="el" href="modifyprop__par_8c_source.html">modifyprop_par.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00042">__FUNCT__</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="modifyprop__par_8c_a5b18b26ca79926b582bf94e21e5f531b_cgraph.png" border="0" usemap="#modifyprop__par_8c_a5b18b26ca79926b582bf94e21e5f531b_cgraph_map" alt=""></div>
<map name="modifyprop__par_8c_a5b18b26ca79926b582bf94e21e5f531b_cgraph_map" id="modifyprop__par_8c_a5b18b26ca79926b582bf94e21e5f531b_cgraph">
<area shape="rect" id="node3" href="magpario_8h.html#a59544353738dfce0bdce48409d9b3c8b" title="ReadKrn" alt="" coords="161,5,231,35"/><area shape="rect" id="node5" href="magpario_8h.html#a85c6fd604f4655acf9edea63969a5676" title="read_one_line" alt="" coords="281,5,383,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="modifyprop__par_8c_a5b18b26ca79926b582bf94e21e5f531b_icgraph.png" border="0" usemap="#modifyprop__par_8c_a5b18b26ca79926b582bf94e21e5f531b_icgraph_map" alt=""></div>
<map name="modifyprop__par_8c_a5b18b26ca79926b582bf94e21e5f531b_icgraph_map" id="modifyprop__par_8c_a5b18b26ca79926b582bf94e21e5f531b_icgraph">
<area shape="rect" id="node3" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="160,5,219,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="267,5,317,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

